﻿<!--File Name: Companies.cshtml-->
<!--File Description: Creates the view for displaying the Companies page, which shows all companies and booths in
    a table and allows for searching/filtering these companies by various criteria.-->
<!--Set ViewData-->

<!DOCTYPE html>

<html>
@using CareerDayWCFWebService
@using CareerDayApp2._0.Models
@{
    ViewData["Title"] = "Companies";
}

<head runat="server">
    @*<script language="C#">
            //void SaveCompany()
            //{
            //	var myString = "Hello, World";
            //}
        void Page_Init(object sender, EventArgs e)
        {
            SetFocus(focusHere);
        }
        </script>*@
</head>
<body>
    <div class="row page-header">
        <div class="row">
            <div class="col-sm-12">
                <!--Display the title of the page-->
                <h2 style="text-align: center"><strong>@ViewData["Title"]</strong></h2>
            </div>
        </div>
        <div class="row center">
            <div class="col-sm-12">
                <p>*Here you can find a list of all companies coming to Career Day. Use the dropdowns to filter by<br /> major and year, and sort by column by clicking on the heading for each column. Click on the company's name for more info.*</p>
                @if (ViewBag.showDataWipe)
                {
                    <p style="color: red;">For this career day, the database will no longer be available as of <strong>@ViewBag.wipeDate</strong>. If you want to keep your saved companies, got to the saved tab and download your notes.</p>
                }
            </div>
        </div>
    </div>

    <div style="width: 100% !important; padding-top: 2%" class="white-background">
        @if (ViewBag.notTime)
        {
            <!--This div contains dropdowns and other search features-->
            <div id="dropdown">
                <form>
                    <!--Company search bar-->
                    <div class="row">
                        <div class="col-sm-5">
                            <form action="Companies" method="GET">
                                <input type="text" name="Search" id="search" placeholder="Search for a company" value="@ViewBag.search" />
                            </form>
                        </div>
                    </div>

                    <div class="row">
                        <!--Dropdown menu to select a major-->
                        <div class="col-sm-3" style="text-align: left">
                            <label for="major">Major 1</label>
                            <br />
                            <select name="Major" id="major" class="dropdown" onchange="location = 'Companies?Major=' + this.value + '&Major2=' + major2.value + '&Level1=' + level1.value + '&Venue=' + venue.value + '&Search='  + search.value + '&page=0&number=' + view.value;">
                                <option value=0>----</option>
                                @if (ViewBag.majors != null)
                                {
                                    foreach (Major i in ViewBag.majors)
                                    {
                                        if (ViewBag.major.Equals(i.MajID))
                                        {
                                            <option value=@i.MajID selected>@i.MajName</option>
                                        }
                                        else
                                        {
                                            <option value=@i.MajID>@i.MajName</option>
                                        }
                                    }
                                }
                            </select>
                        </div>

                        <!--Dropdown menu to select a second major-->
                        <div class="col-sm-3" style="text-align: left">
                            <label for="major2">Major 2</label>
                            <br />
                            <select name="Major2" id="major2" class="dropdown" onchange="location = 'Companies?Major=' + major.value + '&Major2=' + this.value + '&Level1=' + level1.value + '&Venue=' + venue.value + '&Search=' + search.value + '&page=0&number=' + view.value;">
                                <option value=0>----</option>
                                @if (ViewBag.majors != null)
                                {
                                    foreach (Major i in ViewBag.majors)
                                    {
                                        if (ViewBag.major2.Equals(i.MajID))
                                        {
                                            <option value=@i.MajID selected>@i.MajName</option>
                                        }
                                        else
                                        {
                                            <option value=@i.MajID>@i.MajName</option>
                                        }
                                    }
                                }
                            </select>
                        </div>

                        <!--Dropdown menu to select a degree level-->
                        <div class="col-sm-3" style="text-align: left">
                            <label for="Level">Year in School</label>
                            <br />
                            <select name="Level1" id="level1" class="dropdown" onchange="location = 'Companies?Major=' + major.value + '&Major2=' + major2.value + '&Level1=' + this.value + '&Venue=' + venue.value + '&Search=' + search.value + '&page=0&number=' + view.value;">
                                <option value="All">----</option>
                                @foreach (Level i in ViewBag.levels)
                                {
                                    if (ViewBag.level1 == i.LvlID)
                                    {
                                        <option value=@i.LvlID selected>@i.LvlName</option>
                                    }
                                    else
                                    {
                                        <option value=@i.LvlID>@i.LvlName</option>
                                    }
                                }
                            </select>
                        </div>

                        <!--Dropdown menu to select a Venue-->
                        <div class="col-sm-3" style="text-align: left">
                            <label for="major2">Venue</label>
                            <br />
                            <select name="Venue" id="venue" class="dropdown" onchange="location = 'Companies?Major=' + major.value + '&Major2=' + major2.value + '&Level1=' + level1.value + '&Venue=' + this.value + '&Search=' + search.value + '&page=0&number=' + view.value;">
                                <option value="">----</option>
                                @if (ViewBag.maps != null)
                                {
                                    foreach (Map map in ViewBag.maps)
                                    {
                                        if (map.isBoothMap)
                                        {
                                            if (ViewBag.venue.Equals(map.prefix[0]))
                                            {
                                                <option value=@map.prefix[0] selected>@map.name</option>
                                            }
                                            else
                                            {
                                                <option value=@map.prefix[0]>@map.name</option>
                                            }
                                        }
                                    }
                                }
                            </select>
                        </div>

                    </div>

                    <!--Dropdown menu to select number of results per page-->
                    <div class="row">
                        <div class="col-sm-2">
                            <label for="view">View</label>
                            <select name="View" id="view" onchange="location = 'Companies?Major=' + major.value + '&Major2=' + major2.value + '&Level1=' + level1.value + '&Venue=' + venue.value + '&Search=' + search.value + '&page=0&number=' + this.value;" style="margin-right: 10px;">
                                @for (int i = 50; i <= 200; i += 50)
                                {
                                    if (ViewBag.number == i)
                                    {
                                        <option value=@i selected>@i</option>
                                    }
                                    else
                                    {
                                        <option value=@i>@i</option>
                                    }
                                }
                            </select>

                            <!--Clear button to clear all search criteria-->
                            <button type="reset" name="Clear" id="clear" onclick="location.href='Companies'">Reset</button>
                        </div>
                    </div>
                </form>
            </div>

            <!--Display number of results-->
            <div class="row">
                <div class="col-sm-3">
                    <div>
                        <strong>Results found:</strong> @ViewBag.count
                    </div>
                </div>
            </div>

            <div class="row">
                <!--Display the buttons for each page of results-->
                <ul class="pagination" style="padding-left: 1%">
                    @for (int i = 0; i < ViewBag.pages.Length; i++)
                    {
                        if (ViewBag.page == i)
                        {
                            <li><a style="color: dodgerblue" href='~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=@i&number=@ViewBag.number&sort=@ViewBag.sort'><strong>@ViewBag.pages[i]</strong></a></li>
                        }
                        else
                        {
                            <li><a style="color: #D2492A" href='~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=@i&number=@ViewBag.number&sort=@ViewBag.sort'>@ViewBag.pages[i]</a></li>
                        }
                    }
                </ul>
            </div>

            <!--Display the companies table-->
            <div id="table" class="table-responsive companiesTable" style="background-color: white">
                <table style="width:100%;">
                    <!--Add table headers-->
                    <tr>
                        <th class="table-header" style="width: 4% !important">Your List</th>
                        <th class="table-header"><a style="color:white; width: 70% !important;" href="~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=0&number=@ViewBag.number&sort=name">Company</a></th>
                        <th class="table-header"><a style="color:white" href="~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=0&number=@ViewBag.number&sort=booth">Booth Number</a></th>
                        @*<th class="table-header"><a style="color:white" href="~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=0&number=@ViewBag.number&sort=onCampus">On-Campus Recruiting?</a></th>*@
                        <th class="table-header"><a style="color:white; width:10% !important" href="~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=0&number=@ViewBag.number&sort=recruit">Jobs, interviews, info sessions in DiggerNet</a></th>
                    </tr>
                    <!--Add table cell contents-->

                    @foreach (Company c in ViewBag.companies)
                    {
                        <tr class="alternate-color">
                            @if (ViewBag.notes.ContainsKey(c.orgName))
                            {
                                <th style="width: 4% !important">
                                    <form action="Companies" on method="get">
                                        @if (ViewBag.clicked != null && c.orgID == ViewBag.clicked)
                                        {
                                            <input type="submit" value="Unsave" name="Save" style="font-size: 14px" autofocus>
                                        }
                                        else
                                        {
                                            <input type="submit" value="Unsave" name="Save" style="font-size: 14px">
                                        }
                                        <input type="hidden" value="@c.orgID" name="orgID" />
                                        <input type="hidden" value="@ViewBag.major" name="Major" />
                                        <input type="hidden" value="@ViewBag.major2" name="Major2" />
                                        <input type="hidden" value="@ViewBag.level1" name="Level1" />
                                        <input type="hidden" value="@ViewBag.venue" name="Venue" />
                                        <input type="hidden" value="@ViewBag.search" name="Search" />
                                        <input type="hidden" value="@ViewBag.page" name="page" />
                                        <input type="hidden" value="@ViewBag.number" name="number" />
                                        <input type="hidden" value="@ViewBag.sort" name="sort" />
                                    </form>
                                </th>
                            }
                            else
                            {
                                <th style="width: 4% !important">
                                    <form action="Companies" method="get">
                                        @if (ViewBag.clicked != null && c.orgID == ViewBag.clicked)
                                        {
                                            <input type="submit" value="Save" name="Save" style="font-size: 14px" autofocus>
                                        }
                                        else
                                        {
                                            <input type="submit" value="Save" name="Save" style="font-size: 14px">
                                        }
                                        <input type="hidden" value="@c.orgID" name="orgID" />
                                        <input type="hidden" value="@ViewBag.major" name="Major" />
                                        <input type="hidden" value="@ViewBag.major2" name="Major2" />
                                        <input type="hidden" value="@ViewBag.level1" name="Level1" />
                                        <input type="hidden" value="@ViewBag.venue" name="Venue" />
                                        <input type="hidden" value="@ViewBag.search" name="Search" />
                                        <input type="hidden" value="@ViewBag.page" name="page" />
                                        <input type="hidden" value="@ViewBag.number" name="number" />
                                        <input type="hidden" value="@ViewBag.sort" name="sort" />
                                    </form>
                                </th>
                            }
                            <th style="width: 70% !important"><a style="color: #D2492A" href="~/Home/Company?id=@c.orgID">@c.orgName</a></th>
                            <th><a style="color: #D2492A" href="~/Home/Map?id=@c.orgID&boothNum=@c.orgBoothNo">@c.orgBoothNo</a></th>
                            <!--Check if company has on campus recruiting/infoSessions-->
                            @*@if (c.InfoSession || c.AddtlInterview || c.freeInterview)
                                {
                                            <th>Yes</th>
                                        }
                                        else
                                        {
                                            <th>No</th>
                                        }*@
                            <!--Check that company has job postings in DiggerNet-->
                            @if (c.InDiggerNet)
                            {
                                <th class="thirdCol">Yes</th>
                            }
                            else
                            {
                                <th class="thirdCol">No</th>
                            }
                        </tr>
                    }
                </table>

            </div>
            <div class="row">
                <!--Display the buttons for each page of results-->
                <ul class="pagination" style="padding-left: 2%">
                    @for (int i = 0; i < ViewBag.pages.Length; i++)
                    {
                        if (ViewBag.page == i)
                        {
                            <li><a style="color: dodgerblue" href='~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=@i&number=@ViewBag.number&sort=@ViewBag.sort'><strong>@ViewBag.pages[i]</strong></a></li>
                        }
                        else
                        {
                            <li><a style="color: #D2492A" href='~/Home/Companies?Major=@ViewBag.major&Major2=@ViewBag.major2&Level1=@ViewBag.level1&Venue=@ViewBag.venue&Search=@ViewBag.search&page=@i&number=@ViewBag.number&sort=@ViewBag.sort'>@ViewBag.pages[i]</a></li>
                        }
                    }
                </ul>
            </div>
        }
        else
        {
            <div class="row" style="text-align: center">
                <h2><strong style="color:black">Company data not ready to be released.</strong></h2>
            </div>
        }
    </div>
</body>
</html>